## ros-melodic-naoqi-libqi 2.9.0

=== CMakeLists.txt ===
## Copyright (c) 2012, 2013, 2014 Aldebaran Robotics. All rights reserved.
## Use of this source code is governed by a BSD-style license that can be
## found in the COPYING file.

cmake_minimum_required(VERSION 2.8)
project(naoqi_libqi)
find_package(catkin)
find_package(OpenSSL REQUIRED)

catkin_package(CFG_EXTRAS libqi-extras.cmake
   INCLUDE_DIRS ./
   LIBRARIES qi
)

include(CheckSymbolExists)
check_symbol_exists(_SC_HOST_NAME_MAX "unistd.h" HAVE_SC_HOST_NAME_MAX)
set_source_files_properties(src/os_posix.cpp
  PROPERTIES
    COMPILE_DEFINITIONS HAVE_SC_HOST_NAME_MAX)

# We always want boost filesystem v3
add_definitions("-DBOOST_FILESYSTEM_VERSION=3")
add_definitions("-DBOOST_ASIO_DISABLE_STD_CHRONO")

if(MSVC)
  add_definitions(" -DWIN32_LEAN_AND_MEAN -DNOMINMAX")
endif()

if (WIN32)
  add_definitions(" -D_SCL_SECURE_NO_WARNINGS -D_CRT_SECURE_NO_WARNINGS -DWIN32_LEAN_AND_MEAN -DNOMINMAX")
endif()

if (UNIX)
 add_definitions(" -fno-strict-aliasing ")
endif()

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")
endif()

# Remove this line to use QT if usable
set(WITH_QT5_CORE OFF)

if(WITH_BOOST_LOCALE)
  add_definitions(" -DWITH_BOOST_LOCALE ")
endif()

enable_testing()
include(CMakeDependentOption)

if (WITH_PROBES)
  find_package(qiprobes)
  qiprobes_create_probe(tp_qi
    src/tp_qi.in.h
    PROVIDER_NAME qi_qi)
  qiprobes_instrument_files(tp_qi
    src/eventloop.cpp)
  set(_tp_qi "tp_qi")
else()
  set(_tp_qi "")
endif()

set(QI_H qi/detail/async.hxx
         qi/detail/clock.hxx
         qi/detail/eventloop.hxx
         qi/detail/future.hxx
         qi/detail/future_fwd.hpp
         qi/detail/futurebarrier.hpp
         qi/detail/futureunwrap.hpp
         qi/detail/executioncontext.hpp

         qi/detail/mpl.hpp
         qi/detail/print.hpp
         qi/detail/log.hxx
         qi/detail/mpl.hpp
         qi/detail/trackable.hxx
         qi/detail/warn_push_ignore_deprecated.hpp
         qi/detail/warn_pop_ignore_deprecated.hpp
         qi/api.hpp
         qi/application.hpp
         qi/actor.hpp
         qi/async.hpp
         qi/atomic.hpp
         qi/buffer.hpp
         qi/clock.hpp
         qi/either.hpp
         qi/flags.hpp
         qi/future.hpp
         qi/futuregroup.hpp
         qi/log/consoleloghandler.hpp
         qi/log/csvloghandler.hpp
         qi/log/fileloghandler.hpp
         qi/log/headfileloghandler.hpp
         qi/log/tailfileloghandler.hpp
         qi/log.hpp
         qi/macro.hpp
         qi/numeric.hpp
         qi/os.hpp
         qi/getenv.hpp
         qi/preproc.hpp
         qi/qi.hpp
         qi/types.hpp
         qi/path.hpp
         qi/path_conf.hpp
         qi/periodictask.hpp
         qi/qi.hpp
         qi/stats.hpp
         qi/trackable.hpp
         qi/translator.hpp
         qi/eventloop.hpp
         qi/version.hpp
         qi/iocolor.hpp
         qi/strand.hpp)

set(QI_C src/dlfcn.cpp
         src/path.cpp
         src/application.cpp
         src/buffer.cpp
         src/buffer_p.hpp
         src/bufferreader.cpp
         src/clock.cpp
         src/sdklayout.hpp
         src/future.cpp
         src/log.cpp
         src/log_p.hpp
         src/consoleloghandler.cpp
         src/fileloghandler.cpp
         src/csvloghandler.cpp
         src/headfileloghandler.cpp
         src/tailfileloghandler.cpp
         src/locale-light.cpp
         src/os.cpp
         src/path_conf.cpp
         src/print.cpp
         src/periodictask.cpp
         src/utils.hpp
         src/utils.cpp
         src/eventloop.cpp
         src/eventloop_p.hpp
         src/sdklayout-boost.cpp
         src/version.cpp
         src/iocolor.cpp
         src/strand.cpp
         src/ptruid.cpp
         qi/assert.hpp

         qi/ptruid.hpp
         qi/objectuid.hpp
         qi/tag.hpp
         qi/uuid.hpp)

set(QITYPE_H       qi/anyfunction.hpp
                   qi/anyobject.hpp
                   qi/signature.hpp
                   qi/property.hpp
                   qi/signal.hpp
                   qi/signalspy.hpp
                   qi/anyvalue.hpp
                   qi/anymodule.hpp

                   qi/type/detail/signal.hxx
                   qi/type/detail/property.hxx
                   qi/type/detail/accessor.hxx
                   qi/type/detail/anyreference.hpp
                   qi/type/detail/anyreference.hxx
                   qi/type/detail/anyvalue.hpp
                   qi/type/detail/anyvalue.hxx
                   qi/type/detail/anyfunction.hxx
                   qi/type/detail/anyfunctionfactory.hxx
                   qi/type/detail/anyiterator.hpp
                   qi/type/detail/anyiterator.hxx
                   qi/type/detail/bindtype.hxx
                   qi/type/detail/functionsignature.hxx
                   qi/type/detail/futureadapter.hxx
                   qi/type/detail/futureadapter.hpp
                   qi/type/detail/dynamicobjectbuilder.hxx
                   qi/type/detail/genericobject.hpp
                   qi/type/detail/object.hxx
                   qi/type/detail/proxyregister.hpp
                   qi/type/detail/hasless.hxx
                   qi/type/detail/objecttypebuilder.hxx
                   qi/type/detail/type.hxx
                   qi/type/detail/buffertypeinterface.hxx
                   qi/type/detail/typedispatcher.hxx
                   qi/type/detail/dynamictypeinterface.hxx
                   qi/type/detail/typeimpl.hxx
                   qi/type/detail/typeinterface.hpp
                   qi/type/detail/inttypeinterface.hxx
                   qi/type/detail/listtypeinterface.hxx
                   qi/type/detail/maptypeinterface.hxx
                   qi/type/detail/optionaltypeinterface.hxx
                   qi/type/detail/pointertypeinterface.hxx
                   qi/type/detail/staticobjecttype.hpp
                   qi/type/detail/stringtypeinterface.hxx
                   qi/type/detail/structtypeinterface.hxx
                   qi/type/detail/type.hpp
                   qi/type/detail/manageable.hpp
                   qi/type/detail/traceanalyzer.hpp

                   qi/api.hpp
                   qi/binarycodec.hpp
                   qi/type/dynamicobject.hpp
                   qi/type/dynamicobjectbuilder.hpp
                   qi/type/fwd.hpp
                   qi/jsoncodec.hpp
                   qi/type/metamethod.hpp
                   qi/type/metaobject.hpp
                   qi/type/metaproperty.hpp
                   qi/type/metasignal.hpp
                   qi/type/objecttypebuilder.hpp
                   qi/type/proxyproperty.hpp
                   qi/type/proxysignal.hpp
                   qi/type/typeinterface.hpp
                   qi/type/typeobject.hpp
                   qi/type/typedispatcher.hpp)



set(QITYPE_C src/type/binarycodec.cpp
             src/type/binarycodec_p.hpp
             src/type/dynamicobject.cpp
             src/type/dynamicobjectbuilder.cpp
             src/type/anyfunction.cpp
             src/type/anyreference.cpp
             src/type/anyvalue.cpp
             src/type/anyobject.cpp
             src/type/genericobject.cpp
             src/type/jsoncodec_p.hpp
             src/type/jsondecoder.cpp
             src/type/jsonencoder.cpp
             src/type/manageable.cpp
             src/type/metamethod.cpp
             src/type/metaproperty.cpp
             src/type/metasignal.cpp
             src/type/metasignal_p.cpp
             src/type/metasignal_p.hpp
             src/type/metaobject.cpp
             src/type/metaobject_p.hpp
             src/type/anymodule.cpp
             src/type/objecttypebuilder.cpp
             src/type/signal.cpp
             src/type/signal_p.hpp
             src/type/signalspy.cpp
             src/type/signatureconvertor.cpp
             src/type/signatureconvertor.hpp
             src/type/staticobjecttype.cpp
             src/type/typeinterface.cpp
             src/type/structtypeinterface.cpp
             src/type/type.cpp
             src/type/signature.cpp
             src/type/traceanalyzer.cpp
             )


set(QIM_H qi/api.hpp
          qi/messaging/authprovider.hpp
          qi/messaging/authproviderfactory.hpp
          qi/messaging/autoservice.hpp
          qi/messaging/clientauthenticator.hpp
          qi/messaging/clientauthenticatorfactory.hpp
          qi/messaging/detail/autoservice.hxx
          qi/messaging/gateway.hpp
          qi/messaging/messagesocket_fwd.hpp
          qi/messaging/servicedirectoryproxy.hpp
          qi/messaging/serviceinfo.hpp
          qi/applicationsession.hpp
          qi/session.hpp
          qi/url.hpp
)

set(QIM_C 
  src/messaging/applicationsession_internal.hpp
  src/messaging/applicationsession_internal.cpp
  src/messaging/applicationsession.cpp
  src/messaging/authprovider_p.hpp
  src/messaging/authprovider.cpp
  src/messaging/boundobject.cpp
  src/messaging/boundobject.hpp
  src/messaging/clientauthenticator_p.hpp
  src/messaging/clientauthenticator.cpp
  src/messaging/gateway.cpp
  src/messaging/message.hpp
  src/messaging/message.cpp
  src/messaging/messagedispatcher.hpp
  src/messaging/messagedispatcher.cpp
  src/messaging/objecthost.hpp
  src/messaging/objecthost.cpp
  src/messaging/objectregistrar.hpp
  src/messaging/objectregistrar.cpp
  src/messaging/remoteobject.cpp
  src/messaging/remoteobject_p.hpp
  src/messaging/servicedirectory.cpp
  src/messaging/servicedirectory.hpp
  src/messaging/servicedirectoryclient.hpp
  src/messaging/servicedirectoryclient.cpp
  src/messaging/servicedirectoryproxy.cpp
  src/messaging/serviceinfo.cpp
  src/messaging/session.cpp
  src/messaging/session_p.hpp
  src/messaging/sessionservice.hpp
  src/messaging/sessionservice.cpp
  src/messaging/sessionservices.hpp
  src/messaging/sessionservices.cpp
  src/messaging/server.hpp
  src/messaging/server.cpp
  src/messaging/streamcontext.hpp
  src/messaging/streamcontext.cpp
  src/messaging/transportserver.hpp
  src/messaging/transportserver.cpp
  src/messaging/transportserverasio_p.cpp
  src/messaging/transportserverasio_p.hpp
  src/messaging/messagesocket.hpp
  src/messaging/messagesocket.cpp
  src/messaging/transportsocketcache.cpp
  src/messaging/transportsocketcache.hpp
  src/messaging/tcpmessagesocket.cpp
  src/messaging/tcpmessagesocket.hpp
  src/messaging/url.cpp
  src/registration.cpp
)
        
set(QI_SOCKET_H
  src/messaging/sock/accept.hpp
  src/messaging/sock/common.hpp
  src/messaging/sock/concept.hpp
  src/messaging/sock/connect.hpp
  src/messaging/sock/connectedstate.hpp
  src/messaging/sock/connectingstate.hpp
  src/messaging/sock/disconnectedstate.hpp
  src/messaging/sock/disconnectingstate.hpp
  src/messaging/sock/error.hpp
  src/messaging/sock/macrolog.hpp
  src/messaging/sock/socketptr.hpp
  src/messaging/sock/sslcontextptr.hpp
  src/messaging/sock/socketwithcontext.hpp
  src/messaging/sock/networkasio.hpp
  src/messaging/sock/option.hpp
  src/messaging/sock/receive.hpp
  src/messaging/sock/resolve.hpp
  src/messaging/sock/send.hpp
  src/messaging/sock/traits.hpp
)

set(QIPERF_H
  qi/perf/dataperfsuite.hpp
  qi/perf/detail/dataperfsuite.hxx
  qi/perf/dataperf.hpp
  qi/perf/measure.hpp
)

set(QIPERF_C
  src/perf/dataperfsuite_p.hpp
  src/perf/dataperf_p.hpp
  src/perf/dataperfsuite.cpp
  src/perf/dataperf.cpp
  src/perf/measure.cpp
)

set(KA_H
  ka/algorithm.hpp
  ka/ark/mutable.hpp
  ka/concept.hpp
  ka/conceptpredicate.hpp
  ka/empty.hpp
  ka/errorhandling.hpp
  ka/functional.hpp
  ka/integersequence.hpp
  ka/macro.hpp
  ka/macroregular.hpp
  ka/memory.hpp
  ka/moveoncopy.hpp
  ka/mutablestore.hpp
  ka/mutex.hpp
  ka/opt.hpp
  ka/range.hpp
  ka/relationpredicate.hpp
  ka/scoped.hpp
  ka/sha1.hpp
  ka/src.hpp
  ka/testutils.hpp
  ka/typetraits.hpp
  ka/unit.hpp
  ka/utility.hpp
)

configure_file(qi/config.hpp.in ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/qi/config.hpp)

=== examples/CMakeLists.txt ===
## Copyright (c) 2012 Aldebaran Robotics. All rights reserved.
## Use of this source code is governed by a BSD-style license that can be
## found in the COPYING file.

project(qi_examples)

#### Set compilation flags {{{
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")
endif()
#### }}}

qi_create_bin(qipath_example qipath_example.cpp NO_INSTALL)
qi_use_lib(qipath_example QI BOOST_FILESYSTEM)
set_target_properties(qipath_example PROPERTIES FOLDER "examples")

qi_create_bin(sharedlibrary_example sharedlibrary_example.cpp NO_INSTALL)
qi_use_lib(sharedlibrary_example QI)
set_target_properties(sharedlibrary_example PROPERTIES FOLDER "examples")

qi_create_bin(log_example log_example.cpp NO_INSTALL)
qi_use_lib(log_example QI BOOST_PROGRAM_OPTIONS PTHREAD)
set_target_properties(log_example PROPERTIES FOLDER "examples")

qi_create_bin(buffer_example buffer_example.cpp NO_INSTALL)
qi_use_lib(buffer_example QI)
set_target_properties(buffer_example PROPERTIES FOLDER "examples")

if (UNIX AND WITH_BOOST_LOCALE)
  qi_create_bin(qiconvloc_example qiconvloc_example.cpp NO_INSTALL)
  qi_use_lib(qiconvloc_example QI BOOST_LOCALE)
  set_target_properties(qiconvloc_example PROPERTIES FOLDER "examples")
  add_subdirectory(qitranslate)
endif()

add_subdirectory(foo)
add_subdirectory(perf)

=== tests/CMakeLists.txt ===
# we still have tests about deprecated stuff, we don't want warnings about that
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")
endif()

add_definitions(-DQI_IS_TEST)

include_directories(".")

qi_create_lib(qitestutils
  STATIC NO_INSTALL
  SRC
    "qi/testutils/testutils.hpp"
    "qi/testutils/testutils.cpp"
    "qi/testutils/mockutils.hpp"
  DEPENDS qi gmock
)

qi_stage_lib(qitestutils)

add_subdirectory("qi")
add_subdirectory("type")
add_subdirectory("messaging")
add_subdirectory("perf")
add_subdirectory("ka")

=== compat/cqim/CMakeLists.txt ===
## Copyright (c) 2012, 2013 Aldebaran Robotics. All rights reserved.
## Use of this source code is governed by a BSD-style license that can be
## found in the COPYING file.

cmake_minimum_required(VERSION 2.8)
project(LibQi)
find_package(qibuild)
qi_sanitize_compile_flags(HIDDEN_SYMBOLS)

qi_install_header(qimessaging/applicationsession.hpp
                  qimessaging/autoservice.hpp
                  qimessaging/serviceinfo.hpp
                  qimessaging/session.hpp
                  qimessaging/url.hpp)
qi_stage_header_only_lib(qimessaging DEPENDS QI QITYPE)

=== compat/cqit/CMakeLists.txt ===
## Copyright (c) 2012, 2013 Aldebaran Robotics. All rights reserved.
## Use of this source code is governed by a BSD-style license that can be
## found in the COPYING file.

cmake_minimum_required(VERSION 2.8)
project(LibQi)
find_package(qibuild)
qi_sanitize_compile_flags(HIDDEN_SYMBOLS)

qi_install_header(qitype/fwd.hpp
                  qitype/anyfunction.hpp
                  qitype/anyobject.hpp
                  qitype/anyreference.hpp
                  qitype/anyvalue.hpp
                  qitype/binarycodec.hpp
                  qitype/dynamicobject.hpp
                  qitype/dynamicobjectbuilder.hpp
                  qitype/jsoncodec.hpp
                  qitype/metamethod.hpp
                  qitype/metaobject.hpp
                  qitype/metaproperty.hpp
                  qitype/metasignal.hpp
                  qitype/objectfactory.hpp
                  qitype/objecttypebuilder.hpp
                  qitype/property.hpp
                  qitype/proxyproperty.hpp
                  qitype/proxysignal.hpp
                  qitype/signal.hpp
                  qitype/signature.hpp
                  qitype/typeinterface.hpp
                  qitype/typeobject.hpp
                  qitype/typedispatcher.hpp
                  KEEP_RELATIVE_PATHS)
qi_stage_header_only_lib(qitype DEPENDS QI)

=== examples/foo/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)
project(foo-module)
find_package(qibuild)
qi_sanitize_compile_flags(HIDDEN_SYMBOLS)

qi_create_module(foo foo.cpp NO_INSTALL)

qi_create_bin(footest footest.cpp DEPENDS QI NO_INSTALL)

=== examples/perf/CMakeLists.txt ===
##
## Author(s):
##  - Nicolas Cornu <ncornu@aldebaran-robotics.com>
##
## Copyright (C) 2012 Aldebaran Robotics
##

qi_create_perf_test(example_qiperf example_qiperf.cpp
  DEPENDS
    QI BOOST_PROGRAM_OPTIONS)

=== examples/qitranslate/CMakeLists.txt ===
## Copyright (c) 2013 Aldebaran Robotics. All rights reserved.
## Use of this source code is governed by a BSD-style license that can be
## found in the COPYING file.

cmake_minimum_required(VERSION 2.8)
project(translate)
find_package(qibuild)

qi_create_bin(test_translate main.cpp NO_INSTALL)
qi_use_lib(test_translate qi)

qi_create_trad(test_translate "po")

=== tests/ka/CMakeLists.txt ===
qi_create_gmock(
  test_ka
  SRC
    "ark/test_mutable.cpp"
    "test_algorithm.cpp"
    "test_conceptpredicate.cpp"
    "test_empty.cpp"
    "test_errorhandling.cpp"
    "test_functional.cpp"
    "test_functional_common.hpp"
    "test_integersequence.cpp"
    "test_macro.cpp"
    "test_macroregular.cpp"
    "test_moveoncopy.cpp"
    "test_mutablestore.cpp"
    "test_opt.cpp"
    "test_range.cpp"
    "test_relationpredicate.cpp"
    "test_scoped.cpp"
    "test_sha1.cpp"
    "test_src.cpp"
    "test_testutils.cpp"
    "test_typetraits.cpp"
    "test_unit.cpp"
    "test_utility.cpp"
  DEPENDS
    ASSUME_SYSTEM_INCLUDE BOOST BOOST_SYSTEM BOOST_THREAD BOOST_DATE_TIME OPENSSL
  TIMEOUT
    120
)

=== tests/messaging/CMakeLists.txt ===
# A helper library to test two sessions communicating in various modes
add_subdirectory(libtestsession)

if(QI_WITH_TESTS)

  qi_create_module(naoqi.testanymodule        SRC testanymodule.cpp        SHARED DEPENDS QI NO_INSTALL)
  qi_create_module(naoqi.testanymodulesession SRC testanymodulesession.cpp SHARED DEPENDS QI NO_INSTALL)
  install(TARGETS naoqi.testanymodule        DESTINATION lib/naoqi COMPONENT test)
  install(TARGETS naoqi.testanymodulesession DESTINATION lib/naoqi COMPONENT test)

  # A separate binary that runs a simple service directory
  # Takes arguments supported by qi::ApplicationSession
  qi_create_test_helper(simplesd "simplesd.cpp" DEPENDS qi)

  # A separate binary that runs a service directory mirroring the target
  # Takes arguments supported by qi::ApplicationSession
  qi_create_test_helper(mirrorsd "mirrorsd.cpp" DEPENDS qi)

  # A separate binary that registers a service on a service directory
  # Takes arguments supported by qi::ApplicationSession
  # Expects the url of the service directory to connect to
  qi_create_test_helper(remoteserviceowner
    "remoteperformanceservice.hpp"
    "remoteserviceowner.cpp"
  DEPENDS
    qi
  )

  qi_stage_dir(".")

  # General tests
  qi_create_gmock(
    test_messaging

    "test_anymodule.cpp"
    "test_authentication.cpp"
#    "test_autoservice.cpp" # TODO: repair
    "test_binarycoder.cpp"
    "test_event_connect.cpp"
    "test_gateway.cpp"
    "test_messaging.cpp" # main
    "test_metavalue_argument.cpp"
    "test_sd.cpp"
    "test_url.cpp"
#    "test_with_gateway.cpp" # TODO: repair
    "test_without_gateway.cpp"
    "test_streamcontext.cpp"
    "test_send_object_standalone.cpp"
    "test_message.cpp"

    DEPENDS
    qi
    qitestutils

    TIMEOUT 120
  )

  # Tests using two sessions communicating in various modes
  qimessaging_create_session_test(
    test_messaging_with_sessionpair

    SRC
    "objectio.hpp"
    "remoteperformanceservice.hpp"
    "test_call.cpp"
    "test_call_many.cpp"
    "test_call_on_close_session.cpp"
    "test_event_remote.cpp"
    "test_event_remote_connect.cpp"
    "test_messaging_with_sessionpair.cpp" # main
    "test_service.cpp"
    "test_session.cpp"
    "test_session_harder.cpp"

    DEPENDS
    qi
    qitestutils
    testsession

    TIMEOUT 500
  )

  qimessaging_create_session_test(
    test_messaging_objects_with_sessionpair

    SRC
    "test_send_object.cpp"
    "test_send_object_identification.cpp"
    "test_messaging_with_sessionpair.cpp" # main
    DEPENDS
    qi
    qitestutils
    testsession

    TIMEOUT 500
  )

  # Tests on Application require a separate binary
  qi_create_gtest(test_applicationsession SRC test_applicationsession.cpp DEPENDS QI GTEST TIMEOUT 30)
  qi_create_gtest(test_applicationsession_option SRC test_applicationsession_option.cpp DEPENDS QI GTEST TIMEOUT 30)
  qi_create_gtest(test_applicationsessionnoautoexit SRC test_applicationsession_noautoexit.cpp DEPENDS QI GTEST TIMEOUT 30)

  # Broken!
  #qi_create_gtest(test_application SRC "test_messaging_application_exit.cpp" DEPENDS QI)
endif()

# Some tests target internal classes
set(MESSAGING_SOURCES
  "../../src/messaging/applicationsession_internal.cpp"
  "../../src/messaging/boundobject.cpp"
  "../../src/messaging/messagedispatcher.cpp"
  "../../src/messaging/objecthost.cpp"
  "../../src/messaging/remoteobject.cpp"
  "../../src/messaging/tcpmessagesocket.cpp"
  "../../src/messaging/transportserver.cpp"
  "../../src/messaging/transportserverasio_p.cpp"
  "../../src/messaging/messagesocket.cpp"
  "../../src/messaging/transportsocketcache.cpp"
)

qi_create_gmock(
  test_messaging_internal

  "test_messaging_internal.cpp"
  "test_remoteobject.cpp"
  "test_transportsocketcache.cpp"
  "sock/networkmock.cpp"
  "sock/networkmock.hpp"
  "sock/networkcommon.hpp"
  "sock/networkasionooplock.hpp"
  "sock/test_accept.cpp"
  "sock/test_connect.cpp"
  "sock/test_resolve.cpp"
  "sock/test_receive.cpp"
  "sock/test_send.cpp"
  "test_tcpmessagesocket.cpp"
  "test_appsession_internal.cpp"
  ${MESSAGING_SOURCES}

  DEPENDS
  qi
  qitestutils

  TIMEOUT 120
)

# those are idl tests that currently only
# work on linux, and when not cross-compiling
option(DISABLE_CODEGEN "disable the code generation (broken)" ON)

if(UNIX AND NOT APPLE)
  if (NOT I_AM_A_ROBOT AND NOT ANDROID AND NOT DISABLE_CODEGEN)
    add_subdirectory(passobject-fromservice)
    add_subdirectory(passobject-fromclient)
    add_subdirectory(task-service)
  endif()
endif()

=== tests/perf/CMakeLists.txt ===
qi_create_gtest(test_dataperf         SRC test_dataperf.cpp       DEPENDS QI GTEST TIMEOUT 10)
qi_create_gtest(test_measure          SRC test_measure.cpp        DEPENDS QI GTEST TIMEOUT 10)

=== tests/qi/CMakeLists.txt ===
## Copyright (c) 2012 Aldebaran Robotics. All rights reserved.
## Use of this source code is governed by a BSD-style license that can be
## found in the COPYING file.
qi_create_test_helper(testlaunch         testlaunch.cpp)
qi_create_test_helper(testlaunchloop     testlaunchloop.cpp)
qi_create_test_helper(test_launchloop_with_spaces testlaunchloop.cpp)
if(QI_WITH_TESTS)
  set_property(TARGET test_launchloop_with_spaces PROPERTY OUTPUT_NAME "test launchloop with spaces")
endif()

qi_create_test_helper(check_env             check_env.cpp             DEPENDS QI)
qi_create_test_helper(check_machineid       check_machineid.cpp       DEPENDS QI)
qi_create_test_helper(print_process_uuid    print_process_uuid.cpp    DEPENDS QI)

qi_create_gmock(
  test_qi

  SRC
  "test_bind.cpp"
  "test_buffer.cpp"
  "test_bufferreader.cpp"
  "test_either.cpp"
  "test_errorhandling.cpp"
  "test_eventloop.cpp"
  "test_flags.cpp"
  "test_functional.cpp"
  "test_future.hpp"
  "test_future.cpp"
  "test_futuregroup.cpp"
  "test_locale.cpp"
  "test_numeric.cpp"
  "test_macro.cpp"
  "test_mutablestore.cpp"
  "test_path_conf.cpp"
  "test_periodictask.cpp"
  "test_ptruid.cpp"
  "test_qi.cpp" # main
  "test_qiatomic.cpp"
  "test_qiclock.cpp"
  "test_qilaunch.cpp"
  "test_qilog.hpp"
  "test_qilog.cpp"
  "test_qilog_async.cpp"
  "test_qilog_sync.cpp"
  "test_qios.cpp"
  "test_src.cpp"
  "test_strand.cpp"
  "test_trackable.cpp"
  "test_version.cpp"

  DEPENDS
  qi
  qitestutils

  TIMEOUT 120
)

# TODO: Merge helptext tests in one program once Application can be constructed
#       and destroyed multiple times in the same process.
qi_create_gtest(test_helptext
  SRC
    "test_helptext.hpp"
    "test_helptext.cpp"
  DEPENDS QI
  TIMEOUT 120
)

qi_create_gtest(test_helptext_session
  SRC
    "test_helptext.hpp"
    "test_helptext_session.cpp"
  DEPENDS QI
  TIMEOUT 120
)

qi_create_test(periodictask_always_die_gracefully
  test_periodictask_kill.cpp
ARGUMENTS
  --qi-standalone
TIMEOUT
  10
DEPENDS
  qi
)

qi_create_gtest(test_qipath SRC "test_qipath.cpp" "../../src/utils.cpp" DEPENDS qi)

# test with the default chrono io, which is v1 in boost 1.55
qi_create_gtest(test_qiclock_chronoio SRC test_qiclock_chronoio.cpp DEPENDS QI GTEST)
# test with the chrono io v2.
# commented out since it does not compile
#qi_create_gtest(test_qiclock_chronoio_v2 SRC test_qiclock_chronoio.cpp DEPENDS QI GTEST)
if(TARGET test_qiclock_chronoio_v2)
  set_target_properties(test_qiclock_chronoio_v2 PROPERTIES
      COMPILE_DEFINITIONS "BOOST_CHRONO_DONT_PROVIDES_DEPRECATED_IO_SINCE_V2_0_0")
endif()

=== debian/changelog ===
ros-melodic-naoqi-libqi (2.9.0-8stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Maxime Busy <mbusy@softbankrobotics.com>  Fri, 20 Dec 2019 13:20:39 -0000

=== debian/control ===
Source: ros-melodic-naoqi-libqi
Section: misc
Priority: optional
Maintainer: Maxime Busy <mbusy@softbankrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libssl-dev, ros-melodic-catkin
Homepage: http://doc.aldebaran.com/libqi
Standards-Version: 3.9.2

Package: ros-melodic-naoqi-libqi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libssl-dev
Description: Aldebaran's libqi: a core library for NAOqiOS development

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-naoqi-libqi//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
